Subversion < 1.0.6 mod_authz_svn Restricted File Access Bypass

This script is Copyright (C) 2004-2011 Tenable Network Security, Inc.


Synopsis :

The remote host has an application that may allow access to
restricted files.

Description :

You are running a version of Subversion which is older than
1.0.6.

A flaw exists in older version, in the apache module mod_authz_svn.
An attacker can access to any file in a given subversion repository,
no matter what restrictions have been set by the administrator.

Solution :

Upgrade to subversion 1.0.6 or newer.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N)
CVSS Temporal Score : 4.3
(CVSS2#E:H/RL:OF/RC:C)
Public Exploit Available : true

Family: Misc.

Nessus Plugin ID: 13848 ()

Bugtraq ID: 10800

CVE ID: CVE-2004-1438